import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    description: z.ZodString;
    goal: z.ZodString;
    projectContext: z.ZodString;
    fileContext: z.ZodOptional<z.ZodObject<{
        workingDirectory: z.ZodOptional<z.ZodString>;
        relevantFiles: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        workingDirectory?: string | undefined;
        relevantFiles?: string | undefined;
    }, {
        workingDirectory?: string | undefined;
        relevantFiles?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    description: string;
    goal: string;
    projectContext: string;
    fileContext?: {
        workingDirectory?: string | undefined;
        relevantFiles?: string | undefined;
    } | undefined;
}, {
    description: string;
    goal: string;
    projectContext: string;
    fileContext?: {
        workingDirectory?: string | undefined;
        relevantFiles?: string | undefined;
    } | undefined;
}>;
declare const returnSchema: z.ZodString;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const subAgentTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=subAgent.d.ts.map