import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    path: z.ZodString;
    range: z.ZodOptional<z.ZodObject<{
        start: z.ZodNumber;
        end: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        start: number;
        end: number;
    }, {
        start: number;
        end: number;
    }>>;
    maxSize: z.ZodOptional<z.ZodNumber>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    path: string;
    description: string;
    range?: {
        start: number;
        end: number;
    } | undefined;
    maxSize?: number | undefined;
}, {
    path: string;
    description: string;
    range?: {
        start: number;
        end: number;
    } | undefined;
    maxSize?: number | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    path: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
    size: z.ZodNumber;
    range: z.ZodOptional<z.ZodObject<{
        start: z.ZodNumber;
        end: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        start: number;
        end: number;
    }, {
        start: number;
        end: number;
    }>>;
}, "strip", z.ZodTypeAny, {
    path: string;
    size: number;
    range?: {
        start: number;
        end: number;
    } | undefined;
    content?: string | undefined;
}, {
    path: string;
    size: number;
    range?: {
        start: number;
        end: number;
    } | undefined;
    content?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const readFileTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=readFile.d.ts.map